<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:layout name="Default" />

<f:section name="content">

    <f:flashMessages />

    <div class="tx_drkserviceappbuttons clearfix" >
        <f:for each="{appButtonList}" as= "appButton">
            <f:if condition="{appButton.url}">
                <div class="appbutton{f:if(condition: appButton.sso, then: ' sso')}">
                    <div class="appicon">
                        <f:security.ifAuthenticated>
                            <f:then>
                            <f:if condition="{appButton.sso}">
                                <f:then>
                                    <f:link.action
                                        action="openSso"
                                        title="{appButton.description}"
                                        arguments="{appButton : appButton.uid}"
                                        target="_blank"
                                    >
                                    <f:if condition="{appButton.icon}">
                                        <f:then>
                                            <f:image image="{appButton.icon}" width="195" height="195"/>
                                        </f:then>
                                        <f:else>
                                            <f:image src="EXT:drkservice_app_buttons/Resources/Public/Icons/fallback_icon.png" width="195" height="195"/>
                                        </f:else>
                                    </f:if>
                                    </f:link.action>
                                </f:then>
                                <f:else>
                                    <f:link.typolink
                                        parameter="{appButton.url}"
                                        target="{appButton.url_target}"
                                        title="{appButton.description}"
                                    >
                                        <f:if condition="{appButton.icon}">
                                            <f:then>
                                                <f:image image="{appButton.icon}" width="195" height="195"/>
                                            </f:then>
                                            <f:else>
                                                <f:image src="EXT:drkservice_app_buttons/Resources/Public/Icons/fallback_icon.png" width="195" height="195"/>
                                            </f:else>
                                        </f:if>
                                        </f:link.typolink>
                                </f:else>
                            </f:if>
                            </f:then>
                            <f:else>
                                <f:link.typolink
                                    parameter="{appButton.url}"
                                    target="{appButton.url_target}"
                                    title="{appButton.description}"
                                    >
                                    <f:if condition="{appButton.icon}">
                                        <f:then>
                                            <f:image image="{appButton.icon}" width="195" height="195"/>
                                        </f:then>
                                        <f:else>
                                            <f:image src="EXT:drkservice_app_buttons/Resources/Public/Icons/fallback_icon.png" width="195" height="195"/>
                                        </f:else>
                                    </f:if>
                                </f:link.typolink>
                            </f:else>
                        </f:security.ifAuthenticated>
                    </div>
                    <div class="apptitle">
                        <f:security.ifAuthenticated>
                            <f:then>
                            <f:if condition="{appButton.sso}">
                                <f:then>
                                    <f:link.action
                                        action="openSso"
                                        title="{appButton.description}"
                                        arguments="{appButton : appButton.uid}"
                                        target="_blank"
                                    >
                                        {appButton.name}
                                        </f:link.action>
                                </f:then>
                                <f:else>
                                    <f:link.typolink
                                        parameter="{appButton.url}"
                                        target="{appButton.url_target}"
                                        title="{appButton.description}"
                                    >
                                        {appButton.name}
                                    </f:link.typolink>
                                </f:else>
                            </f:if>
                            </f:then>
                            <f:else>
                                <f:link.typolink
                                    parameter="{appButton.url}"
                                    target="{appButton.url_target}"
                                    title="{appButton.description}"
                                >
                                    {appButton.name}
                                </f:link.typolink>
                            </f:else>
                        </f:security.ifAuthenticated>
                    </div>
                </div>
            </f:if>
        </f:for>

    </div>
</f:section>
</html>
